package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.SysTreeDict;

/**
 * 树形字典Service接口
 * 
 * @author ruoyi
 * @date 2025-02-03
 */
public interface ISysTreeDictService 
{
    /**
     * 查询树形字典
     * 
     * @param id 树形字典主键
     * @return 树形字典
     */
    public SysTreeDict selectSysTreeDictById(Long id);

    /**
     * 查询树形字典列表
     * 
     * @param sysTreeDict 树形字典
     * @return 树形字典集合
     */
    public List<SysTreeDict> selectSysTreeDictList(SysTreeDict sysTreeDict);

    /**
     * 新增树形字典
     * 
     * @param sysTreeDict 树形字典
     * @return 结果
     */
    public int insertSysTreeDict(SysTreeDict sysTreeDict);

    /**
     * 修改树形字典
     * 
     * @param sysTreeDict 树形字典
     * @return 结果
     */
    public int updateSysTreeDict(SysTreeDict sysTreeDict);

    /**
     * 批量删除树形字典
     * 
     * @param ids 需要删除的树形字典主键集合
     * @return 结果
     */
    public int deleteSysTreeDictByIds(Long[] ids);

    /**
     * 删除树形字典信息
     * 
     * @param id 树形字典主键
     * @return 结果
     */
    public int deleteSysTreeDictById(Long id);
}
